#ifndef GLOBALTOOLS
#define GLOBALTOOLS

#pragma pack(push)
#pragma pack(1)

//global RJ10 Definitions

#define NO_SIZE SWP_NOSIZE|SWP_NOACTIVATE
#define NO_MOVE SWP_NOMOVE|SWP_NOACTIVATE
#define MOVEALL SWP_NOACTIVATE


//IF-1102S Modies
#define REC_LSB		(0x00000001)   
#define REC_USB		(0x00000002)   
#define REC_CW		(0x00000008)   
#define REC_AM		(0x00000080)   
#define REC_FM		(0x00001000)
#define REC_WFM		(0x00002000)
#define REC_DRM		(0x20000000)
#define REC_AMSS	(0x40000000)


#define myIFControl		myMainFrm->m_IFctrl
#define myIFView		myMainFrm->m_IFctrl.m_View
#define myIFStyle		myIFPara.ViewStyle
#define myPanoramaStyle	myIQPara.ViewStyle
#define myPanoramaView  myMainFrm->m_IFctrl.myPanorama.m_View
#define myPanoramaCtrl	myMainFrm->m_IFctrl.myPanorama

#define myRadioPage


#include "resource.h"
#include  <io.h>
#include <direct.h>

#include <math.h>
#include <float.h>
#include <mmsystem.h>
#include "RJ10M-DLL.h"
#include "RJ10FiFi.h"
#include "RJ10FiFiDlg.h"
#include "IFScopeControl.h"

extern char			myDIR[256];
extern CString		mTitle1,mTitle2;
extern class CRJ10FiFiDlg	*myMainFrm;
extern HCURSOR		m_Hand,m_FingerDown,m_FingerRight,m_UpHand,m_DownHand,m_hcurNS;
extern InDeviceList myInDeviceList;
extern RX_SIGNAL_STATE	myRxSignalState;
extern IF_FILTER_PARA	myIFPara,myIQPara; //panorama parameter;
extern EXT_IQRX		myExtRxPara;
extern CBrush		scopeback,scopelight,scopefill,ana_back,ana_range; //Analyser ColorBrushes
extern CPen			scopePenLine,scopePenL,scopePenP,scopePenFilter,scopePenMark,scopePenCenter,scopePenSplitLine,scopeLightDotPenCenter;
extern CFont		BigDateFont,BigFont,fontBold,fontRegular,minibigfont,minifont,fixFont,DRMfont;
extern COLORREF		myDesingTextColor,desCol[3],m_COL_SCOPE_B[3],m_COL_KNOBFACE[3],m_COL_SCOPE_B2[3],COL_SCOPE_B2,COL_SCOPE_L2;
extern COLORREF		myTimeSpectPal[256];
extern int			NetBookFormat,selectedDesign,lang,WindowWidth,WindowHeight1,WindowHeight2;
extern volatile int	StopFlag;
extern double		ScaleFactor;


double	 WINAPI		HuetoRGB(double m1, double m2, double h );
COLORREF WINAPI		HLStoRGB_ONE( double H, double L, double S );
void	 WINAPI		RGBtoHSL( COLORREF rgb, double *H, double *S, double *L);
COLORREF WINAPI		AddBasisColor(COLORREF col, double luminace);
COLORREF WINAPI		GetBasisLuminace(COLORREF col, double luminace);
COLORREF WINAPI		GetBasisSaturation(COLORREF col, double saturation);

void	WINAPI		InitGraficUtilitys(int col=0);
void	WINAPI		DrawStyleRect(CDC* pDC, CRect& rect, COLORREF col);
void	WINAPI		FillScopeBack(HDC hdc, CRect &rect,COLORREF col1, COLORREF col2); 
void	WINAPI		FillGradient (CDC *m_dc, CRect rect,COLORREF colorStart, COLORREF colorFinish, BOOL bHorz = TRUE);
void	WINAPI		SetVariButtonLine(CRect& re, MyButton* b, int count,int offset=1);
void	WINAPI		MakeDir(char *buf);
char	*WINAPI		GetMyProfileString(char *AppName, char *KeyName, char *value);
UINT	WINAPI		GetMyProfileInt(char *AppName, char *KeyName, int value);
float	WINAPI		todB(float value);
void	WINAPI		SetCheckPlacement(HWND hwnd, CRect &rect, UINT flags);

#pragma pack(pop)
#endif