// MyGetColorDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MyGetColorDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyGetColorDlg dialog


MyGetColorDlg::MyGetColorDlg(COLORREF col, int ID, CWnd* pParent /*=NULL*/)
	: CDialog(MyGetColorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyGetColorDlg)
	//}}AFX_DATA_INIT
	m_ReqestWindow=pParent;
	m_ReqestID=ID;
	m_col=col;

}


void MyGetColorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyGetColorDlg)
	DDX_Control(pDX, IDC_COLOR_PICKER,	m_picker);
	DDX_Control(pDX, IDOK,				b_OK);
	DDX_Control(pDX, IDCANCEL,			b_CANCEL);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(MyGetColorDlg, CDialog)
	//{{AFX_MSG_MAP(MyGetColorDlg)
	ON_BN_CLICKED(IDC_COLOR_PICKER,		OnColorPicker)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MyGetColorDlg message handlers

BOOL MyGetColorDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_picup.SetImage(IDM_PICUP);
	m_picker.SetRGB(m_col,1);
	return TRUE;  
}

void MyGetColorDlg::OnColorPicker() 
{
	COLORREF col=m_picker.SetMyHSL();
	if(m_ReqestWindow) m_ReqestWindow->SendMessage(WM_CHNG_COLOR_CLOR,(WPARAM)col,m_ReqestID);
	m_picker.SetRGB(col,0);
	m_picker.Invalidate();
}

void MyGetColorDlg::OnCancel() 
{
	//restore the color
	if(m_ReqestWindow) m_ReqestWindow->SendMessage(WM_CHNG_COLOR_CLOR,(WPARAM)m_col,m_ReqestID);
	CDialog::OnCancel();
}

