#if !defined(FRQ_BUTTON)
#define FRQ_BUTTON

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FrqButton.h : header file
//
class FrqButton : public CButton
{
	DECLARE_DYNCREATE(FrqButton)
// Construction
public:
	FrqButton();   // standard constructor

	CRect		my_size;
	int			init,digit,FrqValue,Mid;
	CRect		r_7Seg;
	CImageList	myImageList;

	COLORREF	m_bgr,m_txtcol;
	CBrush		bkbr;

	int			Set(int frq);		//set as float point value
	void		Init();
	void		SetFrq(CPoint pos, int flag, int shift=0); 


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(FrqButton)
	protected:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~FrqButton();
	// Generated message map functions
	//{{AFX_MSG(FrqButton)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif // !defined(FRQ_BUTTON)
