#if !defined(IQ_FILE_LIST)
#define IQ_FILE_LIST

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WaveFileList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// IQFileList window


#ifndef defRIFFILELIST
#define defRIFFILELIST
typedef	struct	{
				char		shortname[64];
				char		filename[255];
				char		workflag;
				char		modename[4];
				double		frq;
				UINT		type;
				UINT		mode;
				UINT		nChannels;
				time_t		fileTime;
				int			fileLenght;
				}RIFFILELIST;
typedef CArray<RIFFILELIST,RIFFILELIST&> RIFFileArray;
#endif


class IQFileList : public CListCtrl
{
	DECLARE_DYNCREATE(IQFileList)
// Construction
public:
	IQFileList();

// Attributes
public:
	RIFFileArray filelist;
	char	 dir[256];
	char	 ext[32];
	char	 shortname[48];
	char	 lastfilename[256];
	int		 lastFileTime;
	int		 maxitems,lastitem,flag,init;
	CFont	 listfont;
	CWnd	*mMsgWin;
	RIFFILELIST	seletedRIFItem;
	COLORREF m_clrTextBk;
	int		 m_cxClient;

// Operations
public:
	void	InitWaveDir(char *m_dir, char *m_ext, int flag);
	void	SortList();
	void	MakeNewList();
	void	GetNewList();
	time_t	MakeFileName(char *name, char *newname, RIFFILELIST *fl=NULL);
	void	DeleteFile(int item);
	BOOL	GetLastFileName(char *name);
	void	SelectItem(int sel);
	void	Itemchanged(NMHDR* pNMHDR, LRESULT* pResult); 
	void	Dblclk(NMHDR* pNMHDR, LRESULT* pResult);

	void	ChangeDir();
	void	Init();
	CToolTipCtrl	m_tooltip;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IQFileList)
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~IQFileList();

	// Generated message map functions

	//{{AFX_MSG(IQFileList)
	afx_msg void OnContextMenu(CWnd*, CPoint point);
	afx_msg void OnKeydown(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	afx_msg void OnWavFilereqCd();
	afx_msg void OnWavFilereqDelete();
	afx_msg void OnWavFilereqRename();
	afx_msg void OnWavFilereqRf();

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(IQ_FILE_LIST)
