//MyKnob.h: interface for the MyKnob class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(MY_STATE_LED)
#define MY_STATE_LED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MyStateLED : public CButton
{
	DECLARE_DYNCREATE(MyStateLED)
public:		
	
	MyStateLED();

	BYTE		m_state;
	int			m_dir,mini;
	void		SetState(BYTE state, BOOL bRedraw=TRUE);
	void		SetLEDLeft();
	void		SetLEDRight();
	void		OnDraw(CDC* pDC,CRect rect);
	int			SetXsizeOfContent(int x,int y,int cy=21,int off=0);
	int			GetXsizeOfContent();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyStateLED)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
protected:
	virtual void PreSubclassWindow();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL
// Implementation
public:
	virtual ~MyStateLED();
	//{{AFX_MSG(MyStateLED)
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif // !defined(MY_STATE_LED)
