// RenameDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GlobalTools.h"
#include "RenameDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRenameDlg dialog

char TempPath[256];
char *WINAPI MakeFileName(char *file)
{
	int i;
	for(i=(int)strlen(file)-1; i>=0; i--)
		{
		if(file[i]=='\\') {i++; break;}
		}
	return &file[i];
}

char *WINAPI MakeFilePath(char *file)
{
	int i;
	strcpy(TempPath,file);
	for(i=(int)strlen(TempPath)-1; i>=0; i--)
		{
		if(TempPath[i]=='\\') {TempPath[i]=0; break;}
		}
	return TempPath;
}

char *WINAPI MakeFileExt(char *file)
{
	int i;
	for(i=(int)strlen(file)-1; i>=0; i--)
		{
		if(file[i]=='.') {return &file[i+1];}
		}
	TempPath[0]=0;
	return TempPath;
}

char *WINAPI KillFileExt(char *file)
{
	int i;
	for(i=(int)strlen(file)-1; i>=0; i--)
		{
		if(file[i]=='.') {file[i]=0; break;} 
		}
	return file;
}


CRenameDlg::CRenameDlg(CWnd* pParent, char *filepath)
	: CDialog(CRenameDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRenameDlg)
	//}}AFX_DATA_INIT
	if(filepath)
		{
		oldpath=filepath;
		strcpy(name,MakeFileName(filepath));
		strcpy(ext,MakeFileExt(name));
		KillFileExt(name);
		m_oldname=name;
		m_newname=name;
		}
	else
		{
		m_oldname=_T("");
		m_newname=_T("");
		}

}


void CRenameDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRenameDlg)
	DDX_Text(pDX, IDC_NEWNAME,		m_newname);
	DDX_Text(pDX, IDC_OLDNAME,		m_oldname);
	DDX_Control(pDX, IDOK,			m_ok);
	DDX_Control(pDX, IDCANCEL,		m_can);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRenameDlg, CDialog)
	//{{AFX_MSG_MAP(CRenameDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRenameDlg message handlers

void CRenameDlg::OnOK() 
{
	UpdateData(TRUE);
	sprintf(newpath,"%s\\%s.%s",MakeFilePath(oldpath),KillFileExt(m_newname.GetBuffer(0)),ext);
	rename(oldpath,newpath);
	CDialog::OnOK();
}

BOOL CRenameDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	return TRUE;                
}
